package cn.com.countrygarden.bi.main.service.marketing;

import cn.com.countrygarden.bi.main.service.marketing.model.ChargeData;
import cn.com.countrygarden.bi.main.service.marketing.model.ChargeSummaryReport;

import java.util.List;
import java.util.Map;

/**
 * Created by chenweijiang on 2017/9/21.
 */
public interface ChargeService {
    void parseUploadFile(List<ChargeData> data, String userCode, boolean isIncrease);

    ChargeSummaryReport chargeSummaryReport();

    /**
     * 当前收费面积排行
     *
     * @return
     */
    List<Map<String, Object>> rankingThisYear();

    /**
     * 总收费面积占总接管面积的比例
     *
     * @return
     */
    List<Map<String,Object>> chargeAreaInTotalTakeoverArea();
}
